# Package javassist.compiler.ast

package javassist.compiler.ast

Classes
Class
Description
ArrayInit
Array initializer such as `{ 1, 2, 3 }`.
AssignExpr
Assignment expression.
ASTList
A linked list.
ASTree
Abstract Syntax Tree.
BinExpr
Binary expression.
CallExpr
Method call expression.
CastExpr
Cast expression.
CondExpr
Conditional expression.
Declarator
Variable declarator.
DoubleConst
Double constant.
Expr
Expression.
FieldDecl
InstanceOfExpr
Instanceof expression.
IntConst
Integer constant.
Keyword
Keyword.
Member
Member name.
MethodDecl
NewExpr
New Expression.
Pair
A node of a a binary tree.
Stmnt
Statement.
StringL
String literal.
Symbol
Identifier.
Variable
Variable.
Visitor
The visitor pattern.